org.deidentifier.arx.gui.model

## Enum ModelEvent.ModelPart

- java.lang.Object
- - java.lang.Enum<ModelEvent.ModelPart>
  - - org.deidentifier.arx.gui.model.ModelEvent.ModelPart

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelEvent.ModelPart>

Enclosing class:
  ModelEvent

    public static enum ModelEvent.ModelPart
    extends java.lang.Enum<ModelEvent.ModelPart>

The part of the model that has changed.

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALGORITHM` ALGORITHM
`ATTRIBUTE_TYPE` ATTRIBUTE_TYPE
`ATTRIBUTE_TYPE_BULK_UPDATE` ATTRIBUTE_TYPE
`ATTRIBUTE_VALUE` ATTRIBUTE_VALUE
`ATTRIBUTE_WEIGHT` ATTRIBUTE WEIGHT
`CLASSIFICATION_CONFIGURATION` CLASSIFICATION_CONFIGURATION
`CLIPBOARD` CLIPBOARD
`COST_BENEFIT_MODEL` COST/BENEFIT MODEL
`CRITERION_DEFINITION` CRITERION_DEFINITION
`DATA_TYPE` DATA_TYPE
`EXPAND` EXPAND
`FILTER` FILTER
`GS_FACTOR` G/S FACTOR
`HIERARCHY` HIERARCHY
`INPUT` INPUT
`MAX_OUTLIERS` MAX_OUTLIERS
`METRIC` METRIC
`MODEL` MODEL
`OUTPUT` OUTPUT
`POPULATION_MODEL` POPULATION_MODEL
`RESEARCH_SUBSET` RESEARCH_SUBSET
`RESPONSE_VARIABLES` RESPONSE VARIABLES
`RESULT` RESULT
`RISK_THRESHOLD_DERIVED` RISK THRESHOLD
`RISK_THRESHOLD_MAIN` RISK THRESHOLDS
`SELECTED_ATTRIBUTE` SELECTED_ATTRIBUTE
`SELECTED_CLASS_VALUE` SELECTED_CLASS_VALUE
`SELECTED_NODE` SELECTED_NODE
`SELECTED_PERSPECTIVE` SELECTED_PERSPECTIVE
`SELECTED_QUASI_IDENTIFIERS` SELECTED_QUASI_IDENTIFIERS
`SELECTED_RISK_VISUALIZATION` SELECTED_RISK_VISUALIZATION
`SELECTED_UTILITY_VISUALIZATION` SELECTED_UTILITY_VISUALIZATION
`SELECTED_VIEW_CONFIG` SELECTED_VIEW_CONFIG

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelEvent.ModelPart` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelEvent.ModelPart[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECTED_ATTRIBUTE

    public static final ModelEvent.ModelPart SELECTED_ATTRIBUTE

SELECTED_ATTRIBUTE

#### INPUT

    public static final ModelEvent.ModelPart INPUT

INPUT

#### OUTPUT

    public static final ModelEvent.ModelPart OUTPUT

OUTPUT

#### ATTRIBUTE_TYPE

    public static final ModelEvent.ModelPart ATTRIBUTE_TYPE

ATTRIBUTE_TYPE

#### RESULT

    public static final ModelEvent.ModelPart RESULT

RESULT

#### DATA_TYPE

    public static final ModelEvent.ModelPart DATA_TYPE

DATA_TYPE

#### ALGORITHM

    public static final ModelEvent.ModelPart ALGORITHM

ALGORITHM

#### METRIC

    public static final ModelEvent.ModelPart METRIC

METRIC

#### MAX_OUTLIERS

    public static final ModelEvent.ModelPart MAX_OUTLIERS

MAX_OUTLIERS

#### FILTER

    public static final ModelEvent.ModelPart FILTER

FILTER

#### SELECTED_NODE

    public static final ModelEvent.ModelPart SELECTED_NODE

SELECTED_NODE

#### MODEL

    public static final ModelEvent.ModelPart MODEL

MODEL

#### CLIPBOARD

    public static final ModelEvent.ModelPart CLIPBOARD

CLIPBOARD

#### HIERARCHY

    public static final ModelEvent.ModelPart HIERARCHY

HIERARCHY

#### CRITERION_DEFINITION

    public static final ModelEvent.ModelPart CRITERION_DEFINITION

CRITERION_DEFINITION

#### RESEARCH_SUBSET

    public static final ModelEvent.ModelPart RESEARCH_SUBSET

RESEARCH_SUBSET

#### SELECTED_VIEW_CONFIG

    public static final ModelEvent.ModelPart SELECTED_VIEW_CONFIG

SELECTED_VIEW_CONFIG

#### SELECTED_UTILITY_VISUALIZATION

    public static final ModelEvent.ModelPart SELECTED_UTILITY_VISUALIZATION

SELECTED_UTILITY_VISUALIZATION

#### ATTRIBUTE_VALUE

    public static final ModelEvent.ModelPart ATTRIBUTE_VALUE

ATTRIBUTE_VALUE

#### SELECTED_PERSPECTIVE

    public static final ModelEvent.ModelPart SELECTED_PERSPECTIVE

SELECTED_PERSPECTIVE

#### POPULATION_MODEL

    public static final ModelEvent.ModelPart POPULATION_MODEL

POPULATION_MODEL

#### SELECTED_RISK_VISUALIZATION

    public static final ModelEvent.ModelPart SELECTED_RISK_VISUALIZATION

SELECTED_RISK_VISUALIZATION

#### SELECTED_QUASI_IDENTIFIERS

    public static final ModelEvent.ModelPart SELECTED_QUASI_IDENTIFIERS

SELECTED_QUASI_IDENTIFIERS

#### EXPAND

    public static final ModelEvent.ModelPart EXPAND

EXPAND

#### CLASSIFICATION_CONFIGURATION

    public static final ModelEvent.ModelPart CLASSIFICATION_CONFIGURATION

CLASSIFICATION_CONFIGURATION

#### RISK_THRESHOLD_MAIN

    public static final ModelEvent.ModelPart RISK_THRESHOLD_MAIN

RISK THRESHOLDS

#### RISK_THRESHOLD_DERIVED

    public static final ModelEvent.ModelPart RISK_THRESHOLD_DERIVED

RISK THRESHOLD

#### GS_FACTOR

    public static final ModelEvent.ModelPart GS_FACTOR

G/S FACTOR

#### ATTRIBUTE_WEIGHT

    public static final ModelEvent.ModelPart ATTRIBUTE_WEIGHT

ATTRIBUTE WEIGHT

#### COST_BENEFIT_MODEL

    public static final ModelEvent.ModelPart COST_BENEFIT_MODEL

COST/BENEFIT MODEL

#### SELECTED_CLASS_VALUE

    public static final ModelEvent.ModelPart SELECTED_CLASS_VALUE

SELECTED_CLASS_VALUE

#### RESPONSE_VARIABLES

    public static final ModelEvent.ModelPart RESPONSE_VARIABLES

RESPONSE VARIABLES

#### ATTRIBUTE_TYPE_BULK_UPDATE

    public static final ModelEvent.ModelPart ATTRIBUTE_TYPE_BULK_UPDATE

ATTRIBUTE_TYPE

### Method Detail

#### values

    public static ModelEvent.ModelPart[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelEvent.ModelPart c : ModelEvent.ModelPart.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelEvent.ModelPart valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null